ExcludeArch: %{ix86}

Name:           ocaml-graphics
Version:        5.1.2
Release:    1%{?dist}
Summary:        Portable drawing primitives for OCaml

License:        LGPL-2.1-only WITH OCaml-LGPL-linking-exception
URL:            https://github.com/ocaml/graphics
Source0:        %{url}/releases/download/%{version}/graphics-%{version}.tbz

BuildRequires:  ocaml >= 4.09.0
BuildRequires:  ocaml-dune >= 2.1
BuildRequires:  ocaml-dune-configurator-devel
BuildRequires:  pkgconfig(x11)

%description
The graphics library provides a set of portable drawing primitives.
Drawing takes place in a separate window that is created when
Graphics.open_graph is called.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       libX11-devel

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%package        doc
Summary:        Documentation for %{name}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains developer documentation for
%{name}.

%prep
%autosetup -n graphics-%{version}

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE

%files devel -f .ofiles-devel

%files doc
%license LICENSE
%doc examples

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.2-1
- initial build
